> **For AI agents:** this page is a focused, LLM-optimized view of a
> single Fiber AI operation. Before calling it, fetch the routing
> instructions at [`https://api.fiber.ai/llms.txt`](https://api.fiber.ai/llms.txt) and the full operation
> index at [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md).

# companyLiveEnrich

`POST /v1/linkedin-live-fetch/company/single`

**Tags:** `Live fetch`

Live fetch LinkedIn company

**Endpoint:** `https://api.fiber.ai/v1/linkedin-live-fetch/company/single`

## Description

Returns an enriched company with details for a given LinkedIn company identifier

⚡ Rate limit: 600 requests per 1 minute

💰 Cost: 2 credits per company live fetch ⓘ

## Request body (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "apiKey": {
      "type": "string",
      "description": "Your Fiber API key"
    },
    "type": {
      "type": "string",
      "enum": [
        "slug",
        "orgId",
        "liUrl"
      ]
    },
    "value": {
      "type": "string",
      "minLength": 1,
      "description": "The company's LinkedIn slug (e.g. 'microsoft'), LinkedIn URL (e.g. 'https://www.linkedin.com/company/microsoft'), LinkedIn organization ID (e.g. '1441'), or Fiber company ID (e.g. 'comp_1441')."
    },
    "getHistoricalHeadcount": {
      "type": "boolean",
      "default": false,
      "description": "Whether to compute the company's overall employee count over time and recent growth trends. This returns total headcount through time, not a per-department breakdown — for per-department headcount, use the Depth Chart endpoints. No additional cost, but may take longer."
    }
  },
  "required": [
    "apiKey",
    "type",
    "value"
  ]
}
```

## Response — success (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "output": {
      "type": "object",
      "properties": {
        "company": {
          "type": "object",
          "properties": {
            "headline": {
              "type": [
                "string",
                "null"
              ]
            },
            "description": {
              "type": [
                "string",
                "null"
              ]
            },
            "employee_count": {
              "type": [
                "number",
                "null"
              ]
            },
            "follower_count": {
              "type": [
                "number",
                "null"
              ]
            },
            "founded_year": {
              "type": [
                "number",
                "null"
              ]
            },
            "industries": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "primary": {
                    "type": [
                      "boolean",
                      "null"
                    ]
                  }
                },
                "required": [
                  "id",
                  "name"
                ]
              }
            },
            "inferred_location": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "street_address": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "neighborhood": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "city": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "state_name": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "state_code": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "county": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "postal_code": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "country_code": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "country_name": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "coordinates": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "lat": {
                      "type": "number"
                    },
                    "lon": {
                      "type": "number"
                    }
                  },
                  "required": [
                    "lat",
                    "lon"
                  ]
                },
                "timezone": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "full_address": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "formatted_address": {
                  "type": [
                    "string",
                    "null"
                  ]
                }
              }
            },
            "linkedin_url": {
              "type": [
                "string",
                "null"
              ]
            },
            "locations": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "type": "object",
                "properties": {
                  "address": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "is_primary": {
                    "type": [
                      "boolean",
                      "null"
                    ]
                  },
                  "location": {
                    "type": [
                      "object",
                      "null"
                    ],
                    "properties": {
                      "street_address": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "neighborhood": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "city": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "state_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "state_code": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "county": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "postal_code": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "country_code": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "country_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "coordinates": {
                        "type": [
                          "object",
                          "null"
                        ],
                        "properties": {
                          "lat": {
                            "type": "number"
                          },
                          "lon": {
                            "type": "number"
                          }
                        },
                        "required": [
                          "lat",
                          "lon"
                        ]
                      },
                      "timezone": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "full_address": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "formatted_address": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                }
              }
            },
            "naics_codes": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "type": "string"
              }
            },
            "name": {
              "type": [
                "string",
                "null"
              ]
            },
            "org_id": {
              "type": [
                "string",
                "null"
              ]
            },
            "slug": {
              "type": "string"
            },
            "specialties": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "type": "string"
              }
            },
            "ticker": {
              "type": [
                "string",
                "null"
              ]
            },
            "type": {
              "type": [
                "string",
                "null"
              ]
            },
            "domain": {
              "type": [
                "string",
                "null"
              ]
            },
            "website": {
              "type": [
                "string",
                "null"
              ]
            },
            "est_employee_count_lower_bound": {
              "type": [
                "number",
                "null"
              ]
            },
            "est_employee_count_upper_bound": {
              "type": [
                "number",
                "null"
              ]
            },
            "standardized_industries": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "type": "string"
              }
            },
            "locations_stats": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "USA": {
                  "type": "number"
                },
                "GBR": {
                  "type": "number"
                },
                "FRA": {
                  "type": "number"
                },
                "IND": {
                  "type": "number"
                },
                "BRA": {
                  "type": "number"
                },
                "DEU": {
                  "type": "number"
                },
                "ESP": {
                  "type": "number"
                },
                "CAN": {
                  "type": "number"
                },
                "AUS": {
                  "type": "number"
                },
                "NLD": {
                  "type": "number"
                },
                "ITA": {
                  "type": "number"
                },
                "ZAF": {
                  "type": "number"
                },
                "BEL": {
                  "type": "number"
                },
                "CHN": {
                  "type": "number"
                },
                "TUR": {
                  "type": "number"
                },
                "MEX": {
                  "type": "number"
                },
                "CHE": {
                  "type": "number"
                },
                "NOR": {
                  "type": "number"
                },
                "ARE": {
                  "type": "number"
                },
                "SWE": {
                  "type": "number"
                },
                "POL": {
                  "type": "number"
                },
                "IDN": {
                  "type": "number"
                },
                "ARG": {
                  "type": "number"
                },
                "PRT": {
                  "type": "number"
                },
                "COL": {
                  "type": "number"
                },
                "CHL": {
                  "type": "number"
                },
                "PAK": {
                  "type": "number"
                },
                "DNK": {
                  "type": "number"
                },
                "JPN": {
                  "type": "number"
                },
                "NGA": {
                  "type": "number"
                },
                "SGP": {
                  "type": "number"
                },
                "PER": {
                  "type": "number"
                },
                "NZL": {
                  "type": "number"
                },
                "AUT": {
                  "type": "number"
                },
                "IRL": {
                  "type": "number"
                },
                "MYS": {
                  "type": "number"
                },
                "BGD": {
                  "type": "number"
                },
                "EGY": {
                  "type": "number"
                },
                "ISR": {
                  "type": "number"
                },
                "SAU": {
                  "type": "number"
                },
                "PHL": {
                  "type": "number"
                },
                "FIN": {
                  "type": "number"
                },
                "IRN": {
                  "type": "number"
                },
                "ROU": {
                  "type": "number"
                },
                "CZE": {
                  "type": "number"
                },
                "GRC": {
                  "type": "number"
                },
                "HKG": {
                  "type": "number"
                },
                "HUN": {
                  "type": "number"
                },
                "KEN": {
                  "type": "number"
                },
                "MAR": {
                  "type": "number"
                },
                "VNM": {
                  "type": "number"
                },
                "RUS": {
                  "type": "number"
                },
                "UKR": {
                  "type": "number"
                },
                "ECU": {
                  "type": "number"
                },
                "THA": {
                  "type": "number"
                },
                "LKA": {
                  "type": "number"
                },
                "KOR": {
                  "type": "number"
                },
                "BGR": {
                  "type": "number"
                },
                "GHA": {
                  "type": "number"
                },
                "SRB": {
                  "type": "number"
                },
                "TWN": {
                  "type": "number"
                },
                "HRV": {
                  "type": "number"
                },
                "LTU": {
                  "type": "number"
                },
                "PRI": {
                  "type": "number"
                },
                "SVK": {
                  "type": "number"
                },
                "TUN": {
                  "type": "number"
                },
                "EST": {
                  "type": "number"
                },
                "VEN": {
                  "type": "number"
                },
                "CRI": {
                  "type": "number"
                },
                "PAN": {
                  "type": "number"
                },
                "URY": {
                  "type": "number"
                },
                "LBN": {
                  "type": "number"
                },
                "LUX": {
                  "type": "number"
                },
                "CYP": {
                  "type": "number"
                },
                "NPL": {
                  "type": "number"
                },
                "JOR": {
                  "type": "number"
                },
                "SVN": {
                  "type": "number"
                },
                "MTQ": {
                  "type": "number"
                },
                "QAT": {
                  "type": "number"
                },
                "GLP": {
                  "type": "number"
                },
                "UGA": {
                  "type": "number"
                },
                "DZA": {
                  "type": "number"
                },
                "GTM": {
                  "type": "number"
                },
                "CMR": {
                  "type": "number"
                },
                "LVA": {
                  "type": "number"
                },
                "DOM": {
                  "type": "number"
                },
                "AZE": {
                  "type": "number"
                },
                "GEO": {
                  "type": "number"
                },
                "SEN": {
                  "type": "number"
                },
                "TZA": {
                  "type": "number"
                },
                "ZWE": {
                  "type": "number"
                },
                "KWT": {
                  "type": "number"
                },
                "MLT": {
                  "type": "number"
                },
                "OMN": {
                  "type": "number"
                },
                "BOL": {
                  "type": "number"
                },
                "SLV": {
                  "type": "number"
                },
                "ARM": {
                  "type": "number"
                },
                "PRY": {
                  "type": "number"
                },
                "IRQ": {
                  "type": "number"
                },
                "KHM": {
                  "type": "number"
                },
                "BIH": {
                  "type": "number"
                },
                "AGO": {
                  "type": "number"
                },
                "BHR": {
                  "type": "number"
                },
                "ALB": {
                  "type": "number"
                },
                "KAZ": {
                  "type": "number"
                },
                "CIV": {
                  "type": "number"
                },
                "ETH": {
                  "type": "number"
                },
                "MUS": {
                  "type": "number"
                },
                "ZMB": {
                  "type": "number"
                },
                "MKD": {
                  "type": "number"
                },
                "COD": {
                  "type": "number"
                },
                "BLR": {
                  "type": "number"
                },
                "MOZ": {
                  "type": "number"
                },
                "REU": {
                  "type": "number"
                },
                "TTO": {
                  "type": "number"
                },
                "GUF": {
                  "type": "number"
                },
                "ISL": {
                  "type": "number"
                },
                "MMR": {
                  "type": "number"
                },
                "HND": {
                  "type": "number"
                },
                "RWA": {
                  "type": "number"
                },
                "MDG": {
                  "type": "number"
                },
                "BEN": {
                  "type": "number"
                },
                "UZB": {
                  "type": "number"
                },
                "NAM": {
                  "type": "number"
                },
                "BWA": {
                  "type": "number"
                },
                "MDA": {
                  "type": "number"
                },
                "JEY": {
                  "type": "number"
                },
                "NIC": {
                  "type": "number"
                },
                "SDN": {
                  "type": "number"
                },
                "JAM": {
                  "type": "number"
                },
                "IMN": {
                  "type": "number"
                },
                "BFA": {
                  "type": "number"
                },
                "MNG": {
                  "type": "number"
                },
                "MNE": {
                  "type": "number"
                },
                "MCO": {
                  "type": "number"
                },
                "TGO": {
                  "type": "number"
                },
                "AFG": {
                  "type": "number"
                },
                "LBY": {
                  "type": "number"
                },
                "XKX": {
                  "type": "number"
                },
                "CYM": {
                  "type": "number"
                },
                "MWI": {
                  "type": "number"
                },
                "SOM": {
                  "type": "number"
                },
                "PNG": {
                  "type": "number"
                },
                "MDV": {
                  "type": "number"
                },
                "MLI": {
                  "type": "number"
                },
                "GIN": {
                  "type": "number"
                },
                "PSE": {
                  "type": "number"
                },
                "GAB": {
                  "type": "number"
                },
                "LIE": {
                  "type": "number"
                },
                "HTI": {
                  "type": "number"
                },
                "SYR": {
                  "type": "number"
                },
                "BRB": {
                  "type": "number"
                },
                "YEM": {
                  "type": "number"
                },
                "GGY": {
                  "type": "number"
                },
                "NCL": {
                  "type": "number"
                },
                "AND": {
                  "type": "number"
                },
                "SUR": {
                  "type": "number"
                },
                "MYT": {
                  "type": "number"
                },
                "KGZ": {
                  "type": "number"
                },
                "BHS": {
                  "type": "number"
                },
                "GIB": {
                  "type": "number"
                },
                "COG": {
                  "type": "number"
                },
                "FJI": {
                  "type": "number"
                },
                "BLM": {
                  "type": "number"
                },
                "CUW": {
                  "type": "number"
                },
                "CUB": {
                  "type": "number"
                },
                "SLE": {
                  "type": "number"
                },
                "BLZ": {
                  "type": "number"
                },
                "NER": {
                  "type": "number"
                },
                "LBR": {
                  "type": "number"
                },
                "VIR": {
                  "type": "number"
                },
                "PYF": {
                  "type": "number"
                },
                "GUM": {
                  "type": "number"
                },
                "MRT": {
                  "type": "number"
                },
                "ABW": {
                  "type": "number"
                },
                "SYC": {
                  "type": "number"
                },
                "GUY": {
                  "type": "number"
                },
                "LSO": {
                  "type": "number"
                },
                "SWZ": {
                  "type": "number"
                },
                "SSD": {
                  "type": "number"
                },
                "LCA": {
                  "type": "number"
                },
                "MAC": {
                  "type": "number"
                },
                "SMR": {
                  "type": "number"
                },
                "LAO": {
                  "type": "number"
                },
                "BRN": {
                  "type": "number"
                },
                "TCD": {
                  "type": "number"
                },
                "BMU": {
                  "type": "number"
                },
                "VGB": {
                  "type": "number"
                },
                "PRK": {
                  "type": "number"
                },
                "BTN": {
                  "type": "number"
                },
                "BDI": {
                  "type": "number"
                },
                "FRO": {
                  "type": "number"
                },
                "TJK": {
                  "type": "number"
                },
                "GMB": {
                  "type": "number"
                },
                "STP": {
                  "type": "number"
                },
                "ANT": {
                  "type": "number"
                },
                "VCT": {
                  "type": "number"
                },
                "DJI": {
                  "type": "number"
                },
                "CPV": {
                  "type": "number"
                },
                "TKM": {
                  "type": "number"
                },
                "ATG": {
                  "type": "number"
                },
                "TCA": {
                  "type": "number"
                },
                "KNA": {
                  "type": "number"
                },
                "GRD": {
                  "type": "number"
                },
                "ASM": {
                  "type": "number"
                },
                "VUT": {
                  "type": "number"
                },
                "GNQ": {
                  "type": "number"
                },
                "GRL": {
                  "type": "number"
                },
                "SXM": {
                  "type": "number"
                },
                "MNP": {
                  "type": "number"
                },
                "COM": {
                  "type": "number"
                },
                "TLS": {
                  "type": "number"
                },
                "SJM": {
                  "type": "number"
                },
                "CAF": {
                  "type": "number"
                },
                "DMA": {
                  "type": "number"
                },
                "MAF": {
                  "type": "number"
                },
                "WSM": {
                  "type": "number"
                },
                "BES": {
                  "type": "number"
                },
                "MHL": {
                  "type": "number"
                },
                "AIA": {
                  "type": "number"
                },
                "TON": {
                  "type": "number"
                },
                "COK": {
                  "type": "number"
                },
                "SLB": {
                  "type": "number"
                },
                "SPM": {
                  "type": "number"
                },
                "GNB": {
                  "type": "number"
                },
                "ATA": {
                  "type": "number"
                },
                "TUV": {
                  "type": "number"
                },
                "ALA": {
                  "type": "number"
                },
                "IOT": {
                  "type": "number"
                },
                "ERI": {
                  "type": "number"
                },
                "PLW": {
                  "type": "number"
                },
                "FSM": {
                  "type": "number"
                },
                "NRU": {
                  "type": "number"
                },
                "PCN": {
                  "type": "number"
                },
                "FLK": {
                  "type": "number"
                },
                "MSR": {
                  "type": "number"
                },
                "VAT": {
                  "type": "number"
                },
                "KIR": {
                  "type": "number"
                },
                "SHN": {
                  "type": "number"
                },
                "NIU": {
                  "type": "number"
                },
                "WLF": {
                  "type": "number"
                },
                "HMD": {
                  "type": "number"
                },
                "CXR": {
                  "type": "number"
                },
                "NFK": {
                  "type": "number"
                },
                "ATF": {
                  "type": "number"
                },
                "CCK": {
                  "type": "number"
                },
                "SGS": {
                  "type": "number"
                },
                "BVT": {
                  "type": "number"
                },
                "UMI": {
                  "type": "number"
                },
                "ESH": {
                  "type": "number"
                },
                "TKL": {
                  "type": "number"
                },
                "X-SOUTH_ASIA": {
                  "type": "number"
                },
                "X-SOUTH_EAST_EUROPE": {
                  "type": "number"
                },
                "X-NORTHERN_AFRICA": {
                  "type": "number"
                },
                "X-PACIFIC": {
                  "type": "number"
                },
                "X-SOUTH_WEST_EUROPE": {
                  "type": "number"
                },
                "X-SOUTHERN_AFRICA": {
                  "type": "number"
                },
                "X-WEST_INDIES": {
                  "type": "number"
                },
                "X-SOUTH_AMERICA": {
                  "type": "number"
                },
                "X-SOUTH_WEST_ASIA": {
                  "type": "number"
                },
                "X-CENTRAL_EUROPE": {
                  "type": "number"
                },
                "X-EASTERN_EUROPE": {
                  "type": "number"
                },
                "X-WESTERN_EUROPE": {
                  "type": "number"
                },
                "X-CENTRAL_AMERICA": {
                  "type": "number"
                },
                "X-WESTERN_AFRICA": {
                  "type": "number"
                },
                "X-SOUTH_ATLANTIC_OCEAN": {
                  "type": "number"
                },
                "X-SOUTH_EAST_ASIA": {
                  "type": "number"
                },
                "X-CENTRAL_AFRICA": {
                  "type": "number"
                },
                "X-NORTH_AMERICA": {
                  "type": "number"
                },
                "X-EAST_ASIA": {
                  "type": "number"
                },
                "X-NORTHERN_EUROPE": {
                  "type": "number"
                },
                "X-EASTERN_AFRICA": {
                  "type": "number"
                },
                "X-SOUTHERN_INDIAN_OCEAN": {
                  "type": "number"
                },
                "X-SOUTHERN_EUROPE": {
                  "type": "number"
                },
                "X-CENTRAL_ASIA": {
                  "type": "number"
                },
                "X-NORTHERN_ASIA": {
                  "type": "number"
                },
                "X-ASIA": {
                  "type": "number"
                },
                "X-EUROPE": {
                  "type": "number"
                },
                "X-AFRICA": {
                  "type": "number"
                },
                "X-OCEANIA": {
                  "type": "number"
                },
                "X-AMERICAS": {
                  "type": "number"
                },
                "X-ANTARCTICA": {
                  "type": "number"
                },
                "X-ATLANTIC_OCEAN": {
                  "type": "number"
                },
                "X-INDIAN_OCEAN": {
                  "type": "number"
                },
                "X-MIDDLE_EAST": {
                  "type": "number"
                },
                "X-MENA": {
                  "type": "number"
                },
                "X-EMEA": {
                  "type": "number"
                },
                "X-EUROPEAN_UNION": {
                  "type": "number"
                },
                "X-EFTA": {
                  "type": "number"
                },
                "X-APAC": {
                  "type": "number"
                },
                "X-LATAM": {
                  "type": "number"
                },
                "X-ANGLOSPHERE": {
                  "type": "number"
                },
                "X-DACH": {
                  "type": "number"
                },
                "X-NORDICS": {
                  "type": "number"
                },
                "X-BENELUX": {
                  "type": "number"
                },
                "X-GCC": {
                  "type": "number"
                },
                "X-BRICS": {
                  "type": "number"
                },
                "X-G20": {
                  "type": "number"
                },
                "X-OECD": {
                  "type": "number"
                },
                "X-SANCTIONED": {
                  "type": "number"
                }
              },
              "additionalProperties": false
            },
            "logo_url": {
              "type": [
                "string",
                "null"
              ]
            },
            "historical_headcount": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "latest_snapshot_date": {
                  "type": "string",
                  "format": "date"
                },
                "snapshots": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "date": {
                        "type": "string",
                        "format": "date"
                      },
                      "employees": {
                        "type": "integer"
                      }
                    },
                    "required": [
                      "date",
                      "employees"
                    ]
                  }
                },
                "growth": {
                  "type": "object",
                  "properties": {
                    "1m": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "percent": {
                          "type": "number"
                        },
                        "quantity": {
                          "type": "integer"
                        }
                      },
                      "required": [
                        "percent",
                        "quantity"
                      ]
                    },
                    "2m": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "percent": {
                          "type": "number"
                        },
                        "quantity": {
                          "type": "integer"
                        }
                      },
                      "required": [
                        "percent",
                        "quantity"
                      ]
                    },
                    "3m": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "percent": {
                          "type": "number"
                        },
                        "quantity": {
                          "type": "integer"
                        }
                      },
                      "required": [
                        "percent",
                        "quantity"
                      ]
                    },
                    "6m": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "percent": {
                          "type": "number"
                        },
                        "quantity": {
                          "type": "integer"
                        }
                      },
                      "required": [
                        "percent",
                        "quantity"
                      ]
                    },
                    "12m": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "percent": {
                          "type": "number"
                        },
                        "quantity": {
                          "type": "integer"
                        }
                      },
                      "required": [
                        "percent",
                        "quantity"
                      ]
                    },
                    "18m": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "percent": {
                          "type": "number"
                        },
                        "quantity": {
                          "type": "integer"
                        }
                      },
                      "required": [
                        "percent",
                        "quantity"
                      ]
                    },
                    "24m": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "percent": {
                          "type": "number"
                        },
                        "quantity": {
                          "type": "integer"
                        }
                      },
                      "required": [
                        "percent",
                        "quantity"
                      ]
                    },
                    "36m": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "percent": {
                          "type": "number"
                        },
                        "quantity": {
                          "type": "integer"
                        }
                      },
                      "required": [
                        "percent",
                        "quantity"
                      ]
                    }
                  }
                }
              },
              "required": [
                "latest_snapshot_date",
                "snapshots",
                "growth"
              ]
            },
            "revenue_usd_lower_bound": {
              "type": [
                "string",
                "null"
              ]
            },
            "revenue_usd_upper_bound": {
              "type": [
                "string",
                "null"
              ]
            }
          },
          "required": [
            "slug"
          ],
          "description": "The enriched company data. A 404 status is returned if the company was not found."
        },
        "isCached404": {
          "type": [
            "boolean",
            "null"
          ],
          "description": "True when the company is not found on LinkedIn but we have cached data in our database."
        }
      },
      "required": [
        "company"
      ]
    },
    "chargeInfo": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-now"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged"
          ],
          "description": "Credits were charged immediately for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charging-later"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "Credits will be charged after the operation completes"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-for-async-process"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged",
            "message"
          ],
          "description": "Credits that were charged for an asynchronous operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "free"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "No credits were charged for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "credits-refunded"
              ]
            },
            "creditsRefunded": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsRefunded",
            "message"
          ],
          "description": "Credits were refunded for this operation"
        }
      ]
    },
    "warnings": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "object",
        "properties": {
          "field": {
            "type": "string",
            "description": "Full path to extraneous field (e.g., 'searchParams.ExtraField')"
          },
          "message": {
            "type": "string",
            "description": "Warning message"
          }
        },
        "required": [
          "field",
          "message"
        ]
      },
      "description": "Warnings about extraneous fields in request"
    },
    "advice": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "default": [],
      "description": "Tips, recommendations, and suggestions for using this API effectively."
    }
  },
  "required": [
    "output",
    "chargeInfo",
    "advice"
  ],
  "additionalProperties": false
}
```

---

Canonical JSON: [`https://api.fiber.ai/openapi.json`](https://api.fiber.ai/openapi.json)
Operation index: [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md)
